pkg-kde-tools (0.22.1ubuntu2) stonking; urgency=medium

  * For now do not depend on lintian, as this is currently uninstallable
    in proposed due to the perl transition.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Aug 2026 14:17:48 +0100

pkg-kde-tools (0.22.1ubuntu1) stonking; urgency=high

  * Merge from Debian unstable (LP: #2159582). Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control: Only amd64 and arm64 for lintian.
    - debian/control/tests: Disable for 1st upload.

 -- Rik Mills <rikmills@kde.org>  Wed, 19 Aug 2026 12:48:06 +0100

pkg-kde-tools (0.22.1) unstable; urgency=medium

  * Do not run qmldeps for recommends, if no file is detected.
  * Switch to Debhelper 14 (Remove not needed substvars).

 -- Sandro Knauß <hefee@debian.org>  Sun, 19 Jul 2026 20:21:10 +0200

pkg-kde-tools (0.22.0) unstable; urgency=medium

  * Release to unstable (Closes: #1139214).
  * Add new arguments to use examples files in qmlfiles.
  * Move partial demotion detection change to Debhelper 14.
  * Build with Debhelper 13 (as dh_python3 cannot handle debhelper 14).

 -- Sandro Knauß <hefee@debian.org>  Wed, 10 Jun 2026 23:01:36 +0200

pkg-kde-tools (0.22.0~rc2) experimental; urgency=medium

  * fix autopkgtests.
  * Fix dh_plasmaversionbase to detect correct debheler level.

 -- Sandro Knauß <hefee@debian.org>  Fri, 01 May 2026 18:18:41 +0200

pkg-kde-tools (0.22.0~rc1) experimental; urgency=medium

  * dh_qmldeps:
   - Prepare for tests.
   - Add autopkgtests for debhelper 13-15.
   - Split demotion handling into own functions.
   - Add new -d paramenter to control the dependency field
     where qml deps are added.
   - qml examples dependencies end in recommends.
  * Support -d paramenter in dh_qmldeps and .qmlfiles.

 -- Sandro Knauß <hefee@debian.org>  Fri, 01 May 2026 17:50:41 +0200

pkg-kde-tools (0.22.0~pre1) experimental; urgency=medium

  [ Sandro Knauß ]
  * dh_qmldeps:
    - Only warn about not found files for pkg instead of an error.
    - Do not treat missing qml6:Depends anymore as error in debhelper 14.
    - Fail if no qml file is found and it is a single binary package.
    - replace self crafted substvar handling with debian.substvars.
    - import pkgkde via relative import (better for debugging).
    - suppress warnings from debian.deb822 in normal run.
    - trigger dh_qmldeps after dh_installdeb instead of before
      dh_gencontrol (needed for debhelper 14).
    - use deb822 filter contextmanager.
  * dh_plasmaversionbase:
    - execute after dh_installdeb instead of before dh_control.
    - only check for plasma var if debhelper < 14.
  * Move deb822 filter function to pkgkde and create a contextmanager.
  * Use machine readable copyright format.
  * Update copyright and license information.
  * Bump Standrds-Version to 4.7.4 (remove Priority and Rules-Requires-
    Root field).
  * Add myself to uploaders.
  * Reorder Files paragraphs in debian/copyright by directory depth.
  * Use dh_python3 for the python dependencies.
  * Use debhelper 14 to build.

 -- Sandro Knauß <hefee@debian.org>  Tue, 14 Apr 2026 00:59:09 +0200

pkg-kde-tools (0.21.0) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 07 Apr 2026 08:58:05 +0200

pkg-kde-tools (0.21.0~pre1) experimental; urgency=medium

  * Introduce dh_plasmaversionbase helper and dh-sequence-plasma sequence to
    help injecting common base version dependency into Plasma packages and
    coordinate testing migrations.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Mar 2026 21:32:53 +0100

pkg-kde-tools (0.20.0ubuntu1) stonking; urgency=medium

  * Sync with Debian 0.20.0. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jul 2026 07:31:49 +0100

pkg-kde-tools (0.20.0) unstable; urgency=medium

  * dh_qmldeps: Add introspection hints for known configuration files.
  * dh_qmldeps: Add more variables for qmlfiles to use autodetection of
    modules and files.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Feb 2026 17:14:56 +0100

pkg-kde-tools (0.19.3) unstable; urgency=medium

  * Stop passing deprecated nocheck option to spawn() and wait_child().
  * Bump required CMake to 3.13, and modernize DLRestrictionsConfig.cmake
    (closes: #1125558).
  * Fix bad-whatis-entry Lintian warning for dh_qmldeps(1).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Jan 2026 11:09:55 +0300

pkg-kde-tools (0.19.2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Refactor dh_qmldeps to make it reusable.

  [ Bas Couwenberg ]
  * Fix FTBFS with dpkg 1.23.0 (closes: #1123816):
     - Dpkg::Shlibs::SymbolFile: Rename file option to filename.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Dec 2025 11:38:25 +0300

pkg-kde-tools (0.19.1ubuntu2) resolute; urgency=high

  * Exclude lintian depends from ppc64el and s390x.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 23:06:36 +0000

pkg-kde-tools (0.19.1ubuntu1) resolute; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Nov 2025 16:05:46 +0000

pkg-kde-tools (0.19.1) unstable; urgency=medium

  [ Patrick Franz ]
  * Add trixie & forky to supported distributions.

  [ Guillem Jover ]
  * Pass also no_check to Dpkg::IPC spawn() and wait_child().

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Nov 2025 18:17:57 +0300

pkg-kde-tools (0.19.0ubuntu1) resolute; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Wed, 22 Oct 2025 16:32:18 +0100

pkg-kde-tools (0.19.0) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Drop unused CDBS integration (closes: #1099936).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Sep 2025 22:32:07 +0300

pkg-kde-tools (0.18.12ubuntu3) plucky; urgency=medium

  * Restore lintian to depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Mar 2025 15:50:14 +0000

pkg-kde-tools (0.18.12ubuntu2) plucky; urgency=high

  * Drop lintian to recommends as uninstallable in plucky.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 17:38:55 +0000

pkg-kde-tools (0.18.12ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Dec 2024 19:35:56 -0600

pkg-kde-tools (0.18.12) unstable; urgency=medium

  [ Sandro Knauß ]
  * Allow usage of ${DEB_HOST_MULTIARCH} in qmlfiles.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Dec 2024 18:28:04 +0100

pkg-kde-tools (0.18.11ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Dec 2024 00:26:52 +0000

pkg-kde-tools (0.18.11) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve architecture handling in dh_qmldeps (Closes: #1090054):
    + Fix build vs host confusion.
    + Speed up architecture detection using environment.
    + Correctly match architecture patterns.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 09:33:29 +0100

pkg-kde-tools (0.18.10) unstable; urgency=medium

  * dh_qmldeps:
    - Use DEB_HOST_MULTIARCH in search path to fix dh_qmldeps for cross
      compilation.
    - Fix run without qmldeps.optional file.
    - Use dpkg-architecture instead of environment variable.

 -- Sandro Knauß <hefee@debian.org>  Wed, 11 Dec 2024 00:12:23 +0100

pkg-kde-tools (0.18.9) unstable; urgency=medium

  [dh_qmldeps]:
  * Fix detection of expected Qt version ( fix it for Qt5).
  * Allow replacement in qmldeps.optional like in qmldeps.overrides.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 17:34:44 +0100

pkg-kde-tools (0.18.8ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Dec 2024 08:54:00 +0000

pkg-kde-tools (0.18.8) unstable; urgency=medium

  [ Salvo 'LtWorf' Tomaselli ]
  * Minimal manpage for dh_qmldeps

  [ Sandro Knauß ]
  * Add d/qmldeps.optional to mark QML modules as optional (if those
    modules exists add them as dependency, if not ignore the
    dependency.

 -- Sandro Knauß <hefee@debian.org>  Wed, 04 Dec 2024 01:12:16 +0100

pkg-kde-tools (0.18.7ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Nov 2024 14:59:53 +0000

pkg-kde-tools (0.18.7) unstable; urgency=medium

  * [dh_qmldeps]: Take Suggests into acount too.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 14:54:46 +0100

pkg-kde-tools (0.18.6ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Nov 2024 13:22:49 +0000

pkg-kde-tools (0.18.6) unstable; urgency=medium

  * Team upload.

  * dh_qmldeps:
    - Act only on packages, that matches arch-all/arch-any
    builds.
    -  Substract packages from depends, that are listed in
    recommends.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 12:03:14 +0100

pkg-kde-tools (0.18.5ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 12:49:06 +0000

pkg-kde-tools (0.18.5) unstable; urgency=medium

  * Team upload.

  * dh_qmldeps:
    - Push all args to pkgkde-getqmldepends.
    - Add pkgkde-getqmldepends show option to print qml
      dependecy on stdout.
    - Handle multiple rootPaths arguments correctly.

 -- Sandro Knauß <hefee@debian.org>  Thu, 07 Nov 2024 23:26:18 +0100

pkg-kde-tools (0.18.4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 11:18:35 +0000

pkg-kde-tools (0.18.4) unstable; urgency=medium

  [ Sandro Knauß ]
  * qmldepends:
    - Detect QML dependencies via depends in qmldir files.
    - detect failures from all functions.
    - Able to use apt-file to search for QML modules.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 Oct 2024 23:34:06 +0100

pkg-kde-tools (0.18.3ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 21 Oct 2024 08:14:36 +0100

pkg-kde-tools (0.18.3) unstable; urgency=medium

  * Team upload.
  * Remove comment from kf6_flags, they prevent the flags from being applied
    at build time because the lines contained in the file gets joined before
    being injected into the build commands.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Oct 2024 20:59:47 +0200

pkg-kde-tools (0.18.2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Readd -DCMAKE_BUILD_TYPE=Debian to kf6 buildsequence flags, it’s
    required to activate Debian ABI manager correctly.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 10:25:43 +0200

pkg-kde-tools (0.18.1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Detect imports in qmldir file.
  * Detect qmlimportscanner in debian/tmp correctly for qt6-declarative.

 -- Sandro Knauß <hefee@debian.org>  Tue, 15 Oct 2024 22:48:51 +0200

pkg-kde-tools (0.18.0) unstable; urgency=medium

  * Create pythonlib for dh_qmldeps.
  * pkgkde-getqmldepends: Allow QML overrides via
    debian/qmldepends.overrides.
  * pkgkde-getqmldepends: fails with 1, if an error is detected.
  * Add dh_qmldeps - a debhelper to detect runtime QML dependencies.
  * Add qmldeps dh sequence to run dh_qmldeps.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 12:13:18 +0200

pkg-kde-tools (0.17.5) unstable; urgency=medium

  [ Sandro Knauß ]
  * pkgkde-getqmldepends:
    - Search also qml modules in packages, that are created.
    -  Be able to set the package to act on.
    - Use Qt 6 by default.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 02:52:11 +0200

pkg-kde-tools (0.17.4) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Replace _g() function calls with g_() in pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 09:42:47 +0300

pkg-kde-tools (0.17.3) unstable; urgency=medium

  * Do not automatically consider current subst as verified. This way we
    can detect wrong substs in more cases (closes: #1072357).
  * Add a few more tests for pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jun 2024 20:03:08 +0300

pkg-kde-tools (0.17.2) unstable; urgency=medium

  * Add tests for pkgkde-symbolshelper handling of int64_t and time_t.
  * pkgkde-symbolshelper: When checking if a substitution applies, prefer
    i386 to other architectures. This way we can make the right choice
    between int64_t and time_t substitutions (closes: #1071279).
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 May 2024 20:28:20 +0300

pkg-kde-tools (0.17.1ubuntu4) oracular; urgency=medium

  * Replace _g calls with g_ in perllib/Debian/PkgKde/SymbolsHelper/Symbol.pm.
    (LP: #2077903)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Aug 2024 15:38:38 -0500

pkg-kde-tools (0.17.1ubuntu3) oracular; urgency=medium

  * Add missing Kubuntu specific changes for upcoming KDE Frameworks 6:
     - perllib/Debian/Debhelper/Sequence/kf6.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 18 May 2024 08:44:22 +0100

pkg-kde-tools (0.17.1ubuntu2) oracular; urgency=medium

  * Restore part of architecture restrictions for lintian dependency:
    - !i386: at the moment lintian is not installable for i386 on oracular
      with -proposed.
    - !riscv64: builds for this architecture are a bit slow and running lintian
      increases compiling time.
  * Set Kubuntu vcs fields.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 05 May 2024 01:40:30 +0100

pkg-kde-tools (0.17.1ubuntu1) oracular; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 May 2024 12:58:28 -0500

pkg-kde-tools (0.17.1) unstable; urgency=medium

  * pkgkde-symbolshelper: Update ABI definition for time_t subst.
  * Build-depend on dpkg-dev ≥ 1.22.5, to guard against backports without
    this change reverted.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 20 Mar 2024 20:13:29 +0300

pkg-kde-tools (0.17.0) experimental; urgency=medium

  [ Patrick Franz ]
  * Add the KF6 sequencer helper.

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Feb 2024 17:38:57 +0100

pkg-kde-tools (0.16.0~qmldepends1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake and libdpkg-perl.
    + pkg-kde-tools: Drop versioned constraint on libdpkg-perl and python3 in
      Depends.
    + pkg-kde-tools: Drop versioned constraint on dpkg-dev in Recommends.
    + pkg-kde-tools: Drop versioned constraint on kdelibs5-dev in Breaks.

  [ Sandro Knauß ]
  * Add pkgkde-qmldepends to detect QML depdendecy and make them usable in
    builds. Currently it is the the first version to make it possible to start
    experiments with the script.
  * Update lintian overrides for pkg-kde-tools.

  [ Dmitry Shachnev ]
  * pkgkde-update-qt-copyright: Update for new Qt license strings
  * pkgkde-update-qt-copyright: Support more exotic copyright strings

 -- Sandro Knauß <hefee@debian.org>  Sat, 02 Sep 2023 00:42:12 +0200

pkg-kde-tools (0.15.38ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:37:56 +1100

pkg-kde-tools (0.15.38ubuntu3) noble; urgency=medium

  * pkgkde-symbolshelper: Update ABI definition for time_t subst.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 20 Mar 2024 20:22:23 +0300

pkg-kde-tools (0.15.38ubuntu2) noble; urgency=medium

  * Temporarily disable lintian on armhf to aid t64 bootstrap

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Feb 2024 10:40:28 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog pkg-kde-tools`.
